import { ISvgProps } from '../types';

const defaultProps: ISvgProps = {
	viewBox: '0 0 40 40',
	pathClassName: 'st0'
};

export function SvgTiktok(props: ISvgProps) {
	props = { ...defaultProps, ...props };
	const { pathClassName, ...svgProps } = props;

	return (
		<svg {...svgProps}>
			<rect id='Rectangle_2387' data-name='Rectangle 2387' fill='none' />

			<g id='Group_3446' data-name='Group 3446' transform='translate(5 5)'>
				<path
					id='Path_4121'
					data-name='Path 4121'
					d='M22.162,12.055c0,2.532,0,5.063,0,7.595a2.4,2.4,0,0,1-1.851,2.492,3.216,3.216,0,0,1-.766.072q-7.542,0-15.085,0a2.42,2.42,0,0,1-2.62-2.6q0-7.56,0-15.12A2.42,2.42,0,0,1,4.456,1.9q7.543,0,15.085,0a2.424,2.424,0,0,1,2.62,2.634q.006,3.763,0,7.525M2.8,12.021q0,3.781,0,7.561a1.491,1.491,0,0,0,1.666,1.676q7.527,0,15.054,0A1.5,1.5,0,0,0,21.2,19.565q0-7.509,0-15.019a1.5,1.5,0,0,0-1.684-1.692q-7.509,0-15.019,0a1.5,1.5,0,0,0-1.7,1.71v7.457'
				/>
				<path
					id='Path_4122'
					data-name='Path 4122'
					d='M14.9,10.449v.325c0,1.36.018,2.72-.007,4.079a4.6,4.6,0,1,1-7.8-3.424,4.441,4.441,0,0,1,3.345-1.289c.443.016.585.165.588.6,0,.609.006,1.219,0,1.828,0,.41-.179.566-.591.552a1.618,1.618,0,1,0-.175,3.229A1.662,1.662,0,0,0,12,14.677q.012-4.552.016-9.107c0-.654.118-.769.783-.769.516,0,1.031,0,1.547,0a.515.515,0,0,1,.6.5,3.113,3.113,0,0,0,2.794,2.727c.409.066.525.192.528.6q0,1,0,2c0,.467-.155.623-.635.641a4.01,4.01,0,0,1-2.394-.676c-.087-.057-.178-.11-.267-.163-.007,0-.022,0-.073.016M12.986,5.766v.446q-.006,4.2-.011,8.4a2.584,2.584,0,0,1-.854,2.005,2.69,2.69,0,0,1-3.011.416,2.613,2.613,0,0,1-1.392-2.6,2.579,2.579,0,0,1,2.035-2.2c.1-.023.2-.055.286-.08V11.156c-.069,0-.115-.005-.159,0A3.624,3.624,0,1,0,13.8,15.632a11.841,11.841,0,0,0,.129-2.273c.018-1.336.007-2.673,0-4.009,0-.284.022-.557.345-.655.3-.09.466.1.639.315a3.726,3.726,0,0,0,.643.643,2.833,2.833,0,0,0,1.736.6c0-.414.011-.788-.008-1.161a.322.322,0,0,0-.175-.242,4.047,4.047,0,0,1-2.983-2.892.3.3,0,0,0-.2-.18c-.3-.02-.6-.008-.946-.008'
				/>
			</g>
		</svg>
	);
}
